#!/bin/sh

# shell lib - don't run directly, source it

# edit a ctalog html replacing the footprint list table from the file $tbl
edithtml()
{
	local target="$1" tbl="$2"

	mv $target $target.tmp
	awk -v "tbl=$tbl" '
		/<!-- AUTO footprint list begin -->/ { print $0; off = 1; next }
		/<!-- AUTO footprint list end -->/ { system("cat " tbl); print $0; off = 0;  next }
		(!off) { print $0 }

	' < $target.tmp > $target

	rm $target.tmp
}

